io.milvus.bulkwriter.common.clientenum

## Enum CloudStorage

- java.lang.Object
- - java.lang.Enum<CloudStorage>
  - - io.milvus.bulkwriter.common.clientenum.CloudStorage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CloudStorage>

    public enum CloudStorage
    extends java.lang.Enum<CloudStorage>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALI`
`AWS`
`AZURE`
`GCP`
`MINIO`
`TC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAzureObjectUrl(java.lang.String accountName, java.lang.String containerName, java.lang.String commonPrefix)`
`java.lang.String` `getEndpoint(java.lang.String... replaceParams)`
`java.lang.String` `getS3ObjectUrl(java.lang.String bucketName, java.lang.String commonPrefix, java.lang.String region)`
`static CloudStorage` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CloudStorage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MINIO

    public static final CloudStorage MINIO

#### AWS

    public static final CloudStorage AWS

#### GCP

    public static final CloudStorage GCP

#### AZURE

    public static final CloudStorage AZURE

#### ALI

    public static final CloudStorage ALI

#### TC

    public static final CloudStorage TC

### Method Detail

#### values

    public static CloudStorage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloudStorage c : CloudStorage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloudStorage valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getEndpoint

    public java.lang.String getEndpoint(java.lang.String... replaceParams)

#### getS3ObjectUrl

    public java.lang.String getS3ObjectUrl(java.lang.String bucketName,
                                           java.lang.String commonPrefix,
                                           java.lang.String region)

#### getAzureObjectUrl

    public java.lang.String getAzureObjectUrl(java.lang.String accountName,
                                              java.lang.String containerName,
                                              java.lang.String commonPrefix)